{% for vrf in vrf|default() %}
{%   if vrf.name == "default" %}
{### routes for the default vrf ###}
{%     for route in vrf.routes|default() %}
ip route {{ route }}
{%     endfor %}
!
{### routes for all other vrfs ###}
{%   else %}
vrf {{ vrf.name }}
{%     if vrf.vxlan_id is defined and vrf.name != "default" %}
 vni {{ vrf.vxlan_id }}
{%     endif %}
{%     for route in vrf.routes|default() %}
 ip route {{ route }}
{%     endfor %}
 exit-vrf
!
{%   endif %}
{% endfor %}
